/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: InvalidProtocolChangeException.idl,v $
 * $Revision: 1.9 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/
#ifndef _COM_SUN_STAR_BRIDGE_INVALIDPROTCOLCHANGEEXCEPTION_IDL_
#define _COM_SUN_STAR_BRIDGE_INVALIDPROTCOLCHANGEEXCEPTION_IDL_
#include <com/sun/star/bridge/ProtocolProperty.idl>
#include <com/sun/star/uno/Exception.idl>

module com { module sun { module star { module bridge {


/** Indicates, that a requested property change could not be executed by the
    remote counterpart.

    @see XProtocolProperties
*/
published exception InvalidProtocolChangeException : com::sun::star::uno::Exception
{
    /** The first invalid property.
     */
    ProtocolProperty invalidProperty;

    /** Contains 1, if the property name is unknown to the thrower; 
        or contains 2, if the property's value can't be accepted by the thrower.
     */
    long             reason;
};

};};};};

#endif
